• Post Reply Bookmark Topic Watch Topic
  • New Topic

Plz help me in deploying entity bean

 
Sv Kumar
Greenhorn
Posts: 25
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Dear all,

I have created a J2EE project and created a EJB project using WSAD 5.1.

In that EJB project I have created a CMP entity bean and mapped to EJB BANK ORACLE 9I table with bottom up approach and generated HOME,REMOTE AND BEAN CLASS and Deployed the bean using right click on entity bean in WSAD 5.1.It deployed suceessfully.
I created a web project in the J2EE pROJECT with test servlet to invoke this entity bean.
I have created a test server in WSAD and added this J2EE project and trying to run the server .Then I am getting the error saying EJB JAR conot be loaded.and CMP Home bean cannot be loaded or found.

and the following error

Starting application: ItsoBank5EAR
[7/8/05 17:52:38:994 IST] 4feba8d4 EJBContainerI I WSVR0207I: Preparing to start EJB jar: ItsoBank5CmpEJB.jar
[7/8/05 17:52:39:072 IST] 4feba8d4 BeanMetaData E CNTR0075E:
Starting application: ItsoBank5EAR
[7/8/05 17:52:38:994 IST] 4feba8d4 EJBContainerI I WSVR0207I: Preparing to start EJB jar: ItsoBank5CmpEJB.jar
[7/8/05 17:52:39:072 IST] 4feba8d4 BeanMetaData E CNTR0075E: The user-provided class "itso.bank5.cmp.EJSCMPAccountHomeBean_a296a447" needed by the EnterpriseBean could not be found or loaded.
[7/8/05 17:52:39:104 IST] 4feba8d4 EJBContainerI E WSVR0209E: Unable to prepare EJB jar ItsoBank5CmpEJB.jar [class com.ibm.ws.runtime.component.DeployedModuleImpl], enterprise bean com.ibm.etools.ejb.impl.ContainerManagedEntityImpl(Account) (reentrant: false) (version: 2.x, abstractSchemaName: Account)
java.lang.LinkageError: LinkageError while defining class: itso.bank5.cmp.EJSCMPAccountHomeBean_a296a447
Could not be defined due to: itso/bank5/cmp/EJSCMPAccountHomeBean_a296a447 (Unsupported major.minor version 48.0)
This is often caused by having a class defined at multiple
locations within the classloader hierarchy. Other potential causes
include compiling against an older or newer version of the class
that has an incompatible method signature.
Dumping the current context classloader hierarchy:
==> indicates defining classloader
==>[0]
com.ibm.ws.classloader.CompoundClassLoader@6c4328de




I AM NOT ABLE TO UNDERSTAND THE PROBLEM.

Can any body throw some light to resolve the problem plz.

Regards
Kumar
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!